Usage
=====

Here you can find the `source code <_modules/pythtb.html>`_ of the main PythTB module.

The main PythTB module consists of these three parts:

* :class:`pythtb.tb_model` main tight-binding model class.

* :class:`pythtb.wf_array` class for computing Berry phase (and related) properties.

* :class:`pythtb.w90` class for interface with `Wannier90 <http://www.wannier.org>`_ code that allows construction of tight-binding models based on first-principles density functional theory calculations.

.. automodule:: pythtb
   :members: tb_model, wf_array, w90

